Subject: Re: Telnetd: (FTPD!!!)
From: [email-masked] (Gilligan)

19 Jul 1997 18:32:23 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (Win95; I)
Original-To: Sonic Junior <[email-masked]>, GNU Win 32 <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Sonic Junior wrote:
> 
>         You're right, after I downloaded that it worked.... anyway, I
> just
> compiled FTPD, and it seems to work! However, I have these two
> problems:
> 
>         (1) I always get "User unknown" (User Anonymous Unknown, User
> FTP Unknown,
> User root unknown). How am I supposed to add a user? It calls
> getpwnam...
> I'm wondering if maybe that only works on Windows NT (?)
>         (2) chdir doesn't resolve! That'll be a problem, for now I
> commented it
> out. Where is that defined?
> 
>         SJ

Which ftpd did you compile, wuftpd?  Most likely it uses users in the
/etc/passwd file.  Set up a user & password in there and it might work.

I'm curious about the anonymous ftp.  I know wuftpd uses a chroot() call
to restrict access to a certain dir and below.  And from my attempts at
building rpm, chroot doesn't appear to be in any of the libs.  Wuftpd
could be rewritten to not do it, but then people have access to pretty
much your whole system ;).

--
Due to the abundance of spamming, action has been taken.  Please remove
the underscore (_) from my address when replying to me.  Spammers,
please leave the underscore in.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".